const form = document.querySelector("form");
archivoInput = document.querySelector(".archivo");

form.addEventListener("click", ()=>{
	archivoInput.click();
});

archivoInput.onchange=({target})=>{
	let Id_acc =15;
	let Folio =105;
	let archivo = target.files[0];
	let Archivo_Size = target.files[0].size;
	let Fol_Arch ="Folio_"+Folio+".pdf";
	console.log(Archivo_Size);
	if (Archivo_Size < 300000){ 
	let formData = new FormData();
        formData.append("archivo", archivo, Fol_Arch); // En la posición 0; es decir, el primer elemento
		formData.append("Id_Reg", Id_acc);
	    formData.append("Folio", Folio); 
        fetch("Upload.php", {
            method: 'POST',
            body: formData,
        })
            .then(respuesta => respuesta.text())
            .then(decodificado => {
				if (decodificado=='true'){
					document.getElementById("Nota_F").innerHTML='¡¡ El Folio se subio correctamente !!';
				}else{
					document.getElementById("Nota_F").innerHTML='¡¡ Error: 501 No se almaceno el Archivo !!';
				}
            });	
		
	}else{
		document.getElementById("Nota_F").innerHTML='¡¡ ERROR : Se supera el tamaño del archivo !!';
	}
    document.getElementById("area-progreso").style.display="block";
    }
